Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
2.6.10-rc3-bk15-ck2-nitro2 "Too Fast For Your Eyes"
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
rmh3093
Advocate
Advocate


Joined: 06 Aug 2003
Posts: 2138
Location: Albany, NY

PostPosted: Fri Dec 24, 2004 10:49 pm    Post subject: Reply with quote

yeah the orinoco shit is pissing me off
_________________
Do not meddle in the affairs of wizards, for they are subtle and quick to anger.
Back to top
View user's profile Send private message
Rainmaker
Veteran
Veteran


Joined: 12 Feb 2004
Posts: 1650
Location: /home/NL/ehv/

PostPosted: Fri Dec 24, 2004 11:52 pm    Post subject: Reply with quote

nejiron wrote:
found why it didnt display the reiser 4 option, i had to remove the selection for 4kb stacks


@snake111: you might also wanna try that.

kernel can be downloaded at http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/distfiles/linux-2.6.9.tar.bz2
_________________
If you can't dazzle them with brilliance, baffle them with bullshit.
Back to top
View user's profile Send private message
discomfitor
l33t
l33t


Joined: 21 Feb 2003
Posts: 927
Location: None

PostPosted: Sat Dec 25, 2004 2:55 am    Post subject: Reply with quote

Since orinoco drivers don't appear to be working, I'll suggest the following tip: find a kernel (2.6.x) that DOES have working orinoco. Copy all the files in linux/drivers/net/wireless/ (where linux is the name of that kernel) into the 2.6.10-rc3-nitro2/drivers/net/wireless/ directory. That should work.
_________________
There is no substitute for experience.
Imperfection indicates a lack of effort.
Back to top
View user's profile Send private message
rmh3093
Advocate
Advocate


Joined: 06 Aug 2003
Posts: 2138
Location: Albany, NY

PostPosted: Sat Dec 25, 2004 3:00 am    Post subject: Reply with quote

I dont think that is going to work (now I havent tried it) but I have been using orinoco modules outside of the kernel. They compile fine on a 2.6.9 kernel but not in 2.6.10. In 2.6.10 the kernel and external modules fail when they compile the orinoco_pci section. I think this has to do with the changes in the PCCard/CardBus section. I tried it with and without the obsolete cardbus code but could not get orinoco to compile at all.
_________________
Do not meddle in the affairs of wizards, for they are subtle and quick to anger.
Back to top
View user's profile Send private message
discomfitor
l33t
l33t


Joined: 21 Feb 2003
Posts: 927
Location: None

PostPosted: Sat Dec 25, 2004 4:02 am    Post subject: Reply with quote

Hrmm. Well if it doesn't work, I'll put a bit of extra effort into getting it working in the next nitro.
_________________
There is no substitute for experience.
Imperfection indicates a lack of effort.
Back to top
View user's profile Send private message
Dud3!
Tux's lil' helper
Tux's lil' helper


Joined: 19 Aug 2004
Posts: 93
Location: Boringville, Florida, USA

PostPosted: Sat Dec 25, 2004 7:02 am    Post subject: Reply with quote

What scheduler?
_________________
"There's no problem so large it can't be solved by killing the user off, deleting their files, closing their account and reporting their REAL earnings to the IRS"
Back to top
View user's profile Send private message
nejiron
Tux's lil' helper
Tux's lil' helper


Joined: 27 Apr 2004
Posts: 95
Location: U.S.A.

PostPosted: Sat Dec 25, 2004 8:11 am    Post subject: Reply with quote

rmh3093 wrote:
I dont think that is going to work (now I havent tried it) but I have been using orinoco modules outside of the kernel. They compile fine on a 2.6.9 kernel but not in 2.6.10. In 2.6.10 the kernel and external modules fail when they compile the orinoco_pci section. I think this has to do with the changes in the PCCard/CardBus section. I tried it with and without the obsolete cardbus code but could not get orinoco to compile at all.


it actually does work, i moved all orinoco* and hermes* files to orinoco*-old/hermes*-old and then moved the ones from my old 2.6.9-nitro2 kernel wireless folder into the new one. got the kernel running great now. so fast. reiser4 working. nvidia final will display at 1280x1024, something ive wanted for a while.

only thing i have left to do is get my bootsplash and framebuffer to load at the start
_________________
I am a traveler of both time and space
Back to top
View user's profile Send private message
snake111
Tux's lil' helper
Tux's lil' helper


Joined: 18 Dec 2004
Posts: 113

PostPosted: Sat Dec 25, 2004 9:11 am    Post subject: Reply with quote

Rainmaker wrote:
nejiron wrote:
found why it didnt display the reiser 4 option, i had to remove the selection for 4kb stacks


@snake111: you might also wanna try that.

kernel can be downloaded at http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/distfiles/linux-2.6.9.tar.bz2


thank you! i didn't know there was also kernel in /distfiles, sorry :(

i'll try with this one, and also have a look at 4kb stacks, i presume in "menuconfig", and if won't work i'll do with ebuild.
Back to top
View user's profile Send private message
Robin79
l33t
l33t


Joined: 18 Oct 2003
Posts: 632
Location: /home/valdemarsvik

PostPosted: Sat Dec 25, 2004 9:32 am    Post subject: Reply with quote

Alsa seems not to have added support so i have to go with the alsa drivers in portage.. Hard i have to patch to get my ITE raid and my network to work :( Damm i will stick with one kernel in the future but i hope alsa fix the sound soon...
_________________
Gentoo 2005.0
ASUS P5AD2 Deluxe MB
Intel P4 3.2GHz
PCI-E Nvidia Geforce PCX 5750
--------------------

Registered Linux User Nr # 319050 http://counter.li.org
Back to top
View user's profile Send private message
kontol
n00b
n00b


Joined: 19 Dec 2004
Posts: 31

PostPosted: Sat Dec 25, 2004 9:42 am    Post subject: Reply with quote

nejiron wrote:
rmh3093 wrote:
I dont think that is going to work (now I havent tried it) but I have been using orinoco modules outside of the kernel. They compile fine on a 2.6.9 kernel but not in 2.6.10. In 2.6.10 the kernel and external modules fail when they compile the orinoco_pci section. I think this has to do with the changes in the PCCard/CardBus section. I tried it with and without the obsolete cardbus code but could not get orinoco to compile at all.


it actually does work, i moved all orinoco* and hermes* files to orinoco*-old/hermes*-old and then moved the ones from my old 2.6.9-nitro2 kernel wireless folder into the new one. got the kernel running great now. so fast. reiser4 working. nvidia final will display at 1280x1024, something ive wanted for a while.




Good input for orinoco patch...and what about hostap too..on your next release
Back to top
View user's profile Send private message
discomfitor
l33t
l33t


Joined: 21 Feb 2003
Posts: 927
Location: None

PostPosted: Sun Dec 26, 2004 3:15 am    Post subject: Reply with quote

Since that trick does work for the orinoco drivers, I won't be spending any more time on them. If someone wants to post a link to some working orinoco/hermes files, I'll make a patch that you can apply to later nitros which would make it easier to get working. As for now, it appears that I would have to completely break those two files for other users in order to get the patch working.

I've heard some rumblings about people wanting iteraid. I was under the impression that this got integrated into the kernel recently. If that's not the case, then someone post me a link to the patch and I'll put it in asap. New 2.6.10-ck1-based nitro coming!
_________________
There is no substitute for experience.
Imperfection indicates a lack of effort.
Back to top
View user's profile Send private message
Robin79
l33t
l33t


Joined: 18 Oct 2003
Posts: 632
Location: /home/valdemarsvik

PostPosted: Sun Dec 26, 2004 8:45 am    Post subject: Reply with quote

This one works with nitro4 patch for it8212 ide raid http://kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.9-rc2/2.6.9-rc2-mm1/broken-out/add-support-for-it8212-ide-controllers.patch

Cant find any for latest tough mabey anyone else knows?
_________________
Gentoo 2005.0
ASUS P5AD2 Deluxe MB
Intel P4 3.2GHz
PCI-E Nvidia Geforce PCX 5750
--------------------

Registered Linux User Nr # 319050 http://counter.li.org
Back to top
View user's profile Send private message
rmh3093
Advocate
Advocate


Joined: 06 Aug 2003
Posts: 2138
Location: Albany, NY

PostPosted: Sun Dec 26, 2004 5:18 pm    Post subject: Reply with quote

kontol wrote:
nejiron wrote:
rmh3093 wrote:
I dont think that is going to work (now I havent tried it) but I have been using orinoco modules outside of the kernel. They compile fine on a 2.6.9 kernel but not in 2.6.10. In 2.6.10 the kernel and external modules fail when they compile the orinoco_pci section. I think this has to do with the changes in the PCCard/CardBus section. I tried it with and without the obsolete cardbus code but could not get orinoco to compile at all.


it actually does work, i moved all orinoco* and hermes* files to orinoco*-old/hermes*-old and then moved the ones from my old 2.6.9-nitro2 kernel wireless folder into the new one. got the kernel running great now. so fast. reiser4 working. nvidia final will display at 1280x1024, something ive wanted for a while.




Good input for orinoco patch...and what about hostap too..on your next release


Thats awsome that it worked, havent tried it out yet. My only concern is that when I compile the drivers from the orinoco-dev site, I disable all of the hermes/orinoco drivers in the Wireless networking section. So how would 2.6.10 break the external modules?
_________________
Do not meddle in the affairs of wizards, for they are subtle and quick to anger.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum